### Struct

# ECal ComponentRange

#### Description [src]

    struct ECalComponentRange {
      /* No available fields */
    }

Describes a range. Use the functions below to work with it.

#### Constructors

###### e_cal_component_range_new

Creates a new `ECalComponentRange` describing a range. The returned structure should be freed with e_cal_component_range_free(), when no longer needed.

since: 3.34

###### e_cal_component_range_new_take

Creates a new `ECalComponentRange` describing a range, similar to `e_cal_component_range_new()` except is assumes ownership of `datetime`. The returned structure should be freed with e_cal_component_range_free(), when no longer needed.

since: 3.34

#### Instance methods

###### e_cal_component_range_copy

No description available.

since: 3.34

###### e_cal_component_range_free

Free the `range`, previously allocated by e_cal_component_range_new(), `e_cal_component_range_new_take()` or e_cal_component_range_copy().

since: 3.34

###### e_cal_component_range_get_datetime

Returns the date/time of the `range`. The returned `ECalComponentDateTime` is owned by `range` and should not be freed. It’s valid until the `range` is freed or its date/time changed.

since: 3.34

###### e_cal_component_range_get_kind

No description available.

since: 3.34

###### e_cal_component_range_set_datetime

Set the date/time part of the `range`.

since: 3.34

###### e_cal_component_range_set_kind

Set the `kind` of the `range`.

since: 3.34

###### e_cal_component_range_take_datetime

Set the date/time part of the `range`, similar to e_cal_component_range_set_datetime(), except it assumes ownership of the `datetime`.

since: 3.34